Summary: emi.fts.transfer-interface
Name: transfer-interface
Version:
Release:
License: Apache Software License
Vendor: EMI
Group: System Environment/Libraries
BuildArch: noarch
BuildRoot: %{_builddir}/%{name}-root
AutoReqProv: yes
BuildRequires: java-1.6.0-openjdk-devel
Source: %{name}-%{version}.tar.gz


%description
emi.fts.transfer-interface

%prep
 

%setup -c

%build
 
  
  
make javadoc

%install
rm -rf %{buildroot}
 mkdir -p %{buildroot}
 make install prefix=%{buildroot}/usr
 find %{buildroot} -name '*.la' -exec rm -rf {} \;
 find %{buildroot} -name '*.pc' -exec sed -i -e "s|%{buildroot}||g" {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir /usr/interface/
/usr/interface/org.glite.data-channel-2.9.0.wsdl
/usr/interface/org.glite.data-fetcher-2.9.0.wsdl
/usr/interface/org.glite.data-channel-3.5.0.wsdl
/usr/interface/org.glite.data-fetcher-2.0.0.wsdl
/usr/interface/org.glite.data-fts-3.6.0.wsdl
/usr/interface/org.glite.data-transferstats-3.1.0.wsdl
/usr/interface/org.glite.data-channel-3.7.0.wsdl
/usr/interface/org.glite.data-placement-2.9.0.wsdl
/usr/interface/org.glite.data-channel-3.3.0.wsdl
/usr/interface/org.glite.data-channel-3.6.0.wsdl
/usr/interface/org.glite.data-channel-3.4.0.wsdl
/usr/interface/org.glite.data-placement-3.0.0.wsdl
/usr/interface/org.glite.data-fts-2.9.0.wsdl
/usr/interface/org.glite.data-channel-3.0.0.wsdl
/usr/interface/org.glite.data-channel-3.1.0.wsdl
/usr/interface/org.glite.data-fts-3.3.0.wsdl
/usr/interface/org.glite.data-placement-2.0.0.wsdl
/usr/interface/org.glite.data-fts-3.4.0.wsdl
/usr/interface/org.glite.data-fts-3.7.0.wsdl
/usr/interface/org.glite.data-fts-3.1.0.wsdl
/usr/interface/org.glite.data-fts-3.5.0.wsdl
/usr/interface/org.glite.data-fts-3.0.0.wsdl
%{_defaultdocdir}/RELEASE-NOTES
%dir %{_defaultdocdir}/html/
%{_defaultdocdir}/html/deprecated-list.html
%{_defaultdocdir}/html/package-list
%{_defaultdocdir}/html/constant-values.html
%{_defaultdocdir}/html/stylesheet.css
%{_defaultdocdir}/html/index.html
%{_defaultdocdir}/html/serialized-form.html
%{_defaultdocdir}/html/overview-frame.html
%dir %{_defaultdocdir}/html/org/
%dir %{_defaultdocdir}/html/org/glite/
%dir %{_defaultdocdir}/html/org/glite/data/
%dir %{_defaultdocdir}/html/org/glite/data/transfer/
%{_defaultdocdir}/html/org/glite/data/transfer/TransferParams.html
%{_defaultdocdir}/html/org/glite/data/transfer/TransferActivity.html
%{_defaultdocdir}/html/org/glite/data/transfer/TransferJob2.html
%{_defaultdocdir}/html/org/glite/data/transfer/CannotCancelException.html
%{_defaultdocdir}/html/org/glite/data/transfer/FileTransferStatus.html
%{_defaultdocdir}/html/org/glite/data/transfer/TransferActivityPeriod.html
%{_defaultdocdir}/html/org/glite/data/transfer/TransferSummary.html
%{_defaultdocdir}/html/org/glite/data/transfer/ExistsException.html
%{_defaultdocdir}/html/org/glite/data/transfer/TransferException.html
%{_defaultdocdir}/html/org/glite/data/transfer/InternalException.html
%{_defaultdocdir}/html/org/glite/data/transfer/InvalidArgumentException.html
%{_defaultdocdir}/html/org/glite/data/transfer/TransferJobElement.html
%dir %{_defaultdocdir}/html/org/glite/data/transfer/channel/
%{_defaultdocdir}/html/org/glite/data/transfer/channel/ChannelManagement.html
%{_defaultdocdir}/html/org/glite/data/transfer/channel/package-tree.html
%{_defaultdocdir}/html/org/glite/data/transfer/channel/package-summary.html
%{_defaultdocdir}/html/org/glite/data/transfer/channel/package-frame.html
%{_defaultdocdir}/html/org/glite/data/transfer/Channel2.html
%{_defaultdocdir}/html/org/glite/data/transfer/TransferSnapshot.html
%{_defaultdocdir}/html/org/glite/data/transfer/FileTransferStatus2.html
%{_defaultdocdir}/html/org/glite/data/transfer/ServiceBase.html
%{_defaultdocdir}/html/org/glite/data/transfer/StringPair.html
%{_defaultdocdir}/html/org/glite/data/transfer/TransferJobSummary.html
%{_defaultdocdir}/html/org/glite/data/transfer/NotExistsException.html
%{_defaultdocdir}/html/org/glite/data/transfer/JobStatus.html
%{_defaultdocdir}/html/org/glite/data/transfer/AuthorizationException.html
%{_defaultdocdir}/html/org/glite/data/transfer/Channel.html
%{_defaultdocdir}/html/org/glite/data/transfer/TransferJobSummary2.html
%{_defaultdocdir}/html/org/glite/data/transfer/PlacementJob.html
%{_defaultdocdir}/html/org/glite/data/transfer/package-tree.html
%{_defaultdocdir}/html/org/glite/data/transfer/TransferJob.html
%{_defaultdocdir}/html/org/glite/data/transfer/Roles.html
%dir %{_defaultdocdir}/html/org/glite/data/transfer/fts/
%{_defaultdocdir}/html/org/glite/data/transfer/fts/FileTransfer.html
%{_defaultdocdir}/html/org/glite/data/transfer/fts/package-tree.html
%{_defaultdocdir}/html/org/glite/data/transfer/fts/package-summary.html
%{_defaultdocdir}/html/org/glite/data/transfer/fts/package-frame.html
%{_defaultdocdir}/html/org/glite/data/transfer/Channel3.html
%{_defaultdocdir}/html/org/glite/data/transfer/package-summary.html
%{_defaultdocdir}/html/org/glite/data/transfer/ServiceBusyException.html
%{_defaultdocdir}/html/org/glite/data/transfer/TransferJobElement2.html
%{_defaultdocdir}/html/org/glite/data/transfer/ChannelAuditEntry.html
%{_defaultdocdir}/html/org/glite/data/transfer/package-frame.html
%{_defaultdocdir}/html/org/glite/data/transfer/TransferAgent.html
%{_defaultdocdir}/html/overview-summary.html
%{_defaultdocdir}/html/allclasses-noframe.html
%dir %{_defaultdocdir}/html/doc-files/
%{_defaultdocdir}/html/doc-files/FileStateDiagram.gif
%{_defaultdocdir}/html/doc-files/JobStateDiagram.gif
%dir %{_defaultdocdir}/html/resources/
%{_defaultdocdir}/html/resources/inherit.gif
%{_defaultdocdir}/html/overview-tree.html
%{_defaultdocdir}/html/index-all.html
%{_defaultdocdir}/html/allclasses-frame.html
%{_defaultdocdir}/html/help-doc.html
%{_defaultdocdir}/LICENSE

%changelog
 
